KCMAP_REGISTER_RESIZE_FUNC(3)

FUNCTION
kcmap_register_resize_func - Register a colourmap resize function.

SYNOPSIS
#include <karma_kcmap.h>

KCallbackFunc kcmap_register_resize_func

(Kcolourmap cmap, void (*resize_func) (), void *info)

DESCRIPTION
This routine will register a resize callback function for a high level colourmap. The function will be called whenever the colourmap is resized. If the colourmap is a software colourmap, the function is called whenever the colour values change. Many resize callbacks may be registered per colourmap. The first function registered is the first function called upon resize.

cmap
    The colourmap.

resize_func
    The function which is called when the colourmap is resized. The prototype function is <-kcmap_PROTO_modify_func->.

info
    The initial arbitrary colourmap information pointer.

RETURN VALUE
A KCallbackFunc object.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/